<%--  Licensed Materials - Property of IBM --%>
<%--  5724-L01, 5655-N53, 5724-I82, 5655-R15 --%>
<%--  (C) Copyright IBM Corporation 2006. All Rights Reserved. --%>
<%--  US Government Users Restricted Rights- Use, duplication or disclosure --%>
<%--  restricted by GSA ADP Schedule Contract with IBM Corp. --%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<SCRIPT language="JavaScript"> 
<!--
function enableAuditLog() {
	if (document.getElementById) {
		var auditLogEnabled = document.getElementById("runtimeCustomAuditLogEnabled");
		var fileName = document.getElementById("runtimeFileName");
		var sizeEnabled = document.getElementById("runtimeRolloverSizeEnabled");
		var fileSize = document.getElementById("runtimeRolloverSize");
		var maxNumOfFile = document.getElementById("runtimeMaxNumberOfBackupFiles");
		if (auditLogEnabled.checked && !auditLogEnabled.disabled) {
			fileName.disabled = false;
			sizeEnabled.disabled = false;
			maxNumOfFile.disabled = false;
			if (sizeEnabled.checked) {
				fileSize.disabled = false;
			} else {
				fileSize.disabled = true;
			}
		} else {
			fileName.disabled = true;
			sizeEnabled.disabled = true;
			maxNumOfFile.disabled = true;
			fileSize.disabled = true;
		}
	}
} 

function addLoadFunc(func) {
	var preOnload = window.onload;
  	if (typeof window.onload != 'function') {
    	window.onload = func;
  	} else {
    	window.onload = function() {
      		if (preOnload) {
        		preOnload();
      		}
      		func();
    	}
    }
    document.forms[0].onreset = func ;
}

addLoadFunc(enableAuditLog);
//--> 
</SCRIPT>

<tiles:useAttribute id="readOnly" name="readOnly" classname="java.lang.String"/>

<% 	
boolean val = false;
if (readOnly != null && readOnly.equals("true"))
	val = true;
%>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
<TR>
	<TD valign="top">
	<TABLE width="100%" border="0" cellspacing="0" cellpadding="2">
	<tr valign="top">
		<td class="table-text" nowrap>
			<BR><label for="runtimeFileName"><bean:message key="brselservice.audit.file.label"/><label><BR>
			<html:text property="runtimeFileName" size="70" styleId="runtimeFileName"
					styleClass="textEntryLong" disabled="<%=val%>" />
		</td>
	</tr>
	</TABLE>
	</TD>
</TR>
<TR>
	<TD class="table-text">
		<BR><label><bean:message key="brselservice.log.file.rotation"/><label>
	</TD>
</TR>
<TR>
	<TD valign="top">
	<TABLE width="100%" border="0" cellspacing="0" cellpadding="2">
	<TR>
        <TD VALIGN="top">
        <TABLE width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
        	<td class="table-text">
        		<label for="runtimeRolloverSizeEnabled">
                	<html:checkbox property="runtimeRolloverSizeEnabled"
							styleId="runtimeRolloverSizeEnabled" disabled="<%=val%>"
							onclick="enableDisable('runtimeRolloverSizeEnabled:runtimeRolloverSize')" />
    		    	<bean:message key="brselservice.fileSize.label"/>
    			</label>
    		</td>
    	</tr>
    	<tr>
    		<td class="complex-property">
    			<label for="runtimeRolloverSize">
                	<bean:message key="brselservice.maxSize.label"/></label><BR>
    		    	<html:text property="runtimeRolloverSize" size="10"
							styleId="runtimeRolloverSize" disabled="<%=val%>" styleClass="textEntry" />
          			<bean:message key="brselservice.maxSize.unit"/>
          	</td>
        </tr>
        </TABLE>
        </TD>
    </TR>
    </TABLE>
	</TD>
</TR>
<TR>
	<TD>
	<TABLE width="100%" border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td class="table-text">
			<label for="runtimeMaxNumberOfBackupFiles">
				<bean:message key="brselservice.maxNum.label"/></label><BR>
				<html:text property="runtimeMaxNumberOfBackupFiles" size="10"
					styleId="runtimeMaxNumberOfBackupFiles" disabled="<%=val%>"
					styleClass="textEntry" />
		</td>
    </tr>
    </TABLE>
    </TD>
</TR>
</TABLE>
      
<SCRIPT>
	enableDisable("runtimeRolloverSizeEnabled:runtimeRolloverSize");
</SCRIPT>
